APIComponents
Update a component
Set or clear a component's description. Unlike registration, which never lets a key overwrite a description, this is an explicit edit by a person with settings write access or by a secret key (for example Terraform). A merged component's description is read-only.
PATCH https://api.sazabi.com/v1/components/{componentId}
Path Parameters
componentId*string
Component ID to update.
Format
uuidRequest Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
curl -X PATCH "https://example.com/components/497f6eca-6276-4993-bfeb-53cbbbba6f08" \ -H "Content-Type: application/json" \ -d '{ "description": "string" }'{ "component": { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "projectId": "5a8591dd-4039-49df-9202-96385ba3eff8", "name": "string", "slug": "string", "description": "string", "teamId": "a4ede8ba-7c0a-4485-8763-cbd9b282fbec", "teamName": "string", "origin": "user_declared", "lifecycle": "active", "observationState": "observed", "registryRevision": 0, "canonicalComponentId": "db6a73a5-21af-4453-8aa4-72d41f15a785", "mergedIntoComponentId": "a54e76d3-7757-4ae7-813e-d2ee19ad938e", "currentStatus": "operational", "firstSeenAt": "2019-08-24T14:15:22Z", "lastSeenAt": "2019-08-24T14:15:22Z", "deletedAt": "2019-08-24T14:15:22Z", "inactiveAt": "2019-08-24T14:15:22Z", "inactiveReason": "string", "legacyStateUnknown": true }}